
QGIS Application - Bug report #4290

Attribute table dialog Save Button

2011-09-16 01:26 AM - James Stott

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 14227

Description

When using the save button on the attribute table dialog it doesnt 'untoggle' and stays depressed. You then have to click it twice the next

time you use it and are still not sure it has saved. At the moment I am working around by clicking the Edit button and saving the edits when

it prompts me.

Using OSGEO4W Dev version (67dfd2e) on Windows XP.

Associated revisions

Revision 41e70d5a - 2012-01-27 11:53 AM - Nathan Woodrow 

Set save button not checkable - fixes #4290

History

#1 - 2011-09-16 01:28 AM - James Stott

- File Save_Button_Problem_2.jpg added

I forgot it also leaves it depressed when you stop editing the table. I have attached a photo as an example.

#2 - 2011-09-16 01:44 AM - Nathan Woodrow

- File 0001-Fix-checkable-save-button-in-attribute-table.patch added

- Pull Request or Patch supplied changed from No to Yes

Patch attached.

#3 - 2011-09-22 02:52 AM - Tim Sutton

- Status changed from Open to Closed

Applied in release branch as commit:5f7a92e

Thanks!

Tim
#4 - 2012-01-08 06:31 PM - Alister Hood

- Status changed from Closed to Reopened

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to master

This bug has surfaced again (or is still present) in current trunk.

#5 - 2012-01-27 02:54 AM - Anonymous

- % Done changed from 0 to 100

- Status changed from Reopened to Closed

Fixed in changeset commit:"41e70d5adc0fff56557a914c6f9b4c40ffa5a9db".
